OpenCL C++ Bindings: cl::Sampler Class Reference

OpenCL C++ Bindings

Public Member Functions | List of all members
cl::Sampler Class Reference

Class interface for cl_sampler. More...

Inheritance diagram for cl::Sampler:

## Public Member Functions
| Sampler ()
| Default constructor - initializes to NULL.
| Sampler (const Context &context, cl_bool normalized_coords, cl_addressing_mode addressing_mode, cl_filter_mode filter_mode, cl_int *err=NULL)
| Constructs a Sampler in a specified context. More...
| Sampler (const cl_sampler &sampler, bool retainObject=false)
| Constructor from cl_sampler - takes ownership. More...
Sampler & | operator= (const cl_sampler &rhs)
| Assignment operator from cl_sampler - takes ownership. More...
| Sampler (const Sampler &sam)
| Copy constructor to forward copy to the superclass correctly. Required for MSVC.
Sampler & | operator= (const Sampler &sam)
| Copy assignment to forward copy to the superclass correctly. Required for MSVC.
| Sampler (Sampler &&sam) CL_HPP_NOEXCEPT_
| Move constructor to forward move to the superclass correctly. Required for MSVC.
Sampler & | operator= (Sampler &&sam)
| Move assignment to forward move to the superclass correctly. Required for MSVC.
template<typename T >
cl_int | getInfo (cl_sampler_info name, T *param) const
| Wrapper for clGetSamplerInfo().
template<cl_sampler_info name>
detail::param_traits< detail::cl_sampler_info, name >::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetSamplerInfo() that returns by value.
Public Member Functions inherited from cl::detail::Wrapper< cl_sampler >
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
cl_type | get () const

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_sampler >
typedef cl_sampler | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_sampler >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_sampler >
cl_type | object_

## Detailed Description

Class interface for cl_sampler.

Note
  Copies of these objects are shallow, meaning that the copy will refer to the same underlying cl_sampler as the original. For details, see clRetainSampler() and clReleaseSampler().

See also
  cl_sampler

Definition at line 5617 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ Sampler() [1/2]

cl::Sampler::Sampler | ( | const Context & | context,
|  | cl_bool | normalized_coords,
|  | cl_addressing_mode | addressing_mode,
|  | cl_filter_mode | filter_mode,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

Constructs a Sampler in a specified context.

Wraps clCreateSampler().

Definition at line 5627 of file opencl.hpp.

## ◆ Sampler() [2/2]

cl::Sampler::Sampler | ( | const cl_sampler & | sampler,
|  | bool | retainObject = `false`
| ) |  |
| inlineexplicit

Constructor from cl_sampler - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. This effectively transfers ownership of a refcount on the cl_sampler into the new Sampler object.

Definition at line 5674 of file opencl.hpp.

## Member Function Documentation

## ◆ operator=()

Sampler& cl::Sampler::operator= | ( | const cl_sampler & | rhs | ) |
| inline

Assignment operator from cl_sampler - takes ownership.

This effectively transfers ownership of a refcount on the rhs and calls clReleaseSampler() on the value previously held by this instance.

Definition at line 5682 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp